/* A private interface for struct ceelog_event.

Copyright (C) 2012 Red Hat, Inc. All rights reserved.
This copyrighted material is made available to anyone wishing to use, modify,
copy, or redistribute it subject to the terms and conditions of the GNU General
Public License v.2.

This program is distributed in the hope that it will be useful, but WITHOUT ANY
WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with
this program; if not, write to the Free Software Foundation, Inc., 51 Franklin
Street, Fifth Floor, Boston, MA 02110-1301, USA.

Author: Miloslav Trmač <mitr@redhat.com> */

#ifndef EVENT_PRIVATE_H
#define EVENT_PRIVATE_H

#include <config.h>

#include <stddef.h>

#include <glib.h>

struct ceelog_event;

/* Allocate and return a new event from STRING of LEN bytes.
   FIXME: should this be a public API, or do we want to restrict ouselves to
   provided sources? */
G_GNUC_INTERNAL
extern struct ceelog_event *ceelog_event_new_from_string (const char *string,
							  size_t len);

/* Return a pointer to the message of EVENT, and set LEN to its length.
   For JSON messages with a "msg" field, returns the "msg" field only.
   For any other messages, this contains all text after the tag and PID, if any,
   with the leading ':' and ' ' stripped. */
G_GNUC_INTERNAL
extern const char *ceelog_event_get_message_pointer (struct ceelog_event *event,
						     size_t *len);

#endif
